Hatena::ブログ(Diary)

[double-team.org] in Hatena.Inc このページをアンテナに追加 RSSフィード Twitter

2017-01-12

CentOS6.7 で最初にする設定(自分メモ)

CentOS6.7 って言ってるけど、CentOS6.x 全般だと思ってくれて大丈夫だと思う。

ちなみに Vagrant 前提。

なにはともあれ yum のパッケージをアップデート

$ yum update -y

タイムゾーン設定

参考:Vagrant の CentOS 6 の時計時刻や表記を日本対応させる手順 | WEB ARCH LABO

date コマンドで JST(日本時間)になってなければ変更する。

$ cp /usr/share/zoneinfo/Japan /etc/localtime

/etc/sysconfig/clock を編集

ZONE="Asia/Tokyo"

シェルzsh に変更して oh-my-zsh を入れる

面倒なので yum から install する。

参考:zsh をログインシェルにしてワーク・ライフ・バランスを改善する (oh-my-zsh) - momota.txt

$ yum install -y zsh

シェルを変更するので、zsh のパスを確認。

$ cat /etc/shells
/bin/sh
/bin/bash
/sbin/nologin
/bin/dash
/bin/zsh

シェルを変更する。

$ chsh -s /bin/zsh

oh-my-zsh を手に入れる前に gitインストールする必要がある。

参考:CentOSに最新版のGitをインストール・アップデートする方法 - TASK NOTES

必要なライブラリを先にインストール。(長い)

$ yum install -y curl-devel expat-devel gettext-devel openssl-devel zlib-devel perl-ExtUtils-MakeMaker

下記から対象となる gitダウンロードしてインストール

https://www.kernel.org/pub/software/scm/git/

(現時点の最新バージョンは2.10.1)

$ wget https://www.kernel.org/pub/software/scm/git/git-2.10.1.tar.gz
$ tar zxvf git-2.10.1.tar.gz
$ cd git-2.10.1
$ make prefix=/usr/local all
$ make prefix=/usr/local install

ようやく oh-my-zsh が入れられる。

$ wget http://github.com/robbyrussell/oh-my-zsh/raw/master/tools/install.sh -O - | sh

ApachePHPMySQLインストール

yum で入れるとそれぞれ Apache2.2 PHP5.3 MySQL5.1 が入るので、それで問題なければそのままインストール

$ yum install -y httpd 
php php-opcache php-devel php-mbstring php-pear php-mcrypt php-mysqlnd php-phpunit-PHPUnit php-pecl-xdebug php-pecl-xhprof php-gdmysql mysql-devel mysql-server mysql-utilities

今回は諸般の事情により、PHP5.6 MySQL5.6 をインストールする。

PHP5.6

Remiリポジトリを追加してインストール

参考:CentOS6/CentOS7にPHP5.6/PHP7をyumでインストール - Qiita

$ rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm

PHPインストール

$ yum install --enablerepo=remi --enablerepo=remi-php56 php php-opcache php-devel php-pear php-mbstring php-mcrypt php-mysqlnd php-phpunit-PHPUnit php-pecl-xdebug php-pecl-xhprof
MySQL5.6

参考:CentOS6.5 : yumでApache 2.2.15 + MySQL5.6 + PHP5.4をインストールする方法 | コンパクトファクトリ

$ yum install -y http://dev.mysql.com/get/mysql-community-release-el6-5.noarch.rpm
$ yum install -y mysql mysql-devel mysql-server mysql-utilities

インストールしたら起動する。

$ service mysqld start
$ chkconfig mysqld on

2013-09-20

Sublime Text 2 にパッケージインストールに失敗する

対処法不明

console 見ると以下の内容が出る

Traceback (most recent call last):
  File "./package_control/package_installer.py", line 208, in on_done
  File "./package_control/package_installer.py", line 172, in disable_packages
AttributeError: 'unicode' object has no attribute 'append'

Pythonのバージョンの問題?

Python 2.7.2 が Macインストールされてる。

ググっても出てこないから半ば諦めた。

2013-03-15

Sublime Text 2のパッケージをアンインストール

  • command + shift + p
  • 「Package Control: Remove Package」を選択
  • 削除したいパッケージを検索して選択
  • 完了

2011-01-12

な、なんだっt(ry

MacBook Air 11インチ欲しい!

まあ、つい先日会社で MacBook Pro 13インチを購入したばっかりですが←

2010-12-31

今年1年お疲れ様でした

来年もがんばりましょー。



でこのエントリを終わらせるべきか悩んだけど、本気で書いたら仕事の話や技術的な話よりも、「喰霊-零- THE NIGHT」や茅原実里ファンとの交流の話が多くなりそうだからやっぱりこれで終わらせますw

とりあえず来年は白石稔初の本人名義によるミニアルバムが発売されるのと、それに合わせて仙台でライブが行われるので上半期はこれで勝つる!

あと初めて茅原実里のライブに参加する予定なので、まあよろしくお願いします。

と言うわけで来年もがんばりましょー。

2006 | 01 | 02 | 03 | 04 | 05 | 06 | 07 | 08 | 09 | 10 | 11 | 12 |
2007 | 01 | 02 | 03 | 04 | 05 | 06 | 07 | 08 | 09 | 10 | 11 | 12 |
2008 | 01 | 02 | 03 | 04 | 05 | 06 | 07 | 08 | 09 | 10 | 11 | 12 |
2009 | 01 | 02 | 03 | 04 | 05 | 06 | 07 | 08 | 09 | 10 | 11 | 12 |
2010 | 01 | 02 | 03 | 04 | 05 | 06 | 07 | 08 | 09 | 10 | 11 | 12 |
2011 | 01 | 02 | 03 | 04 | 05 | 06 | 07 | 08 | 09 | 10 | 11 | 12 |
2013 | 01 | 02 | 03 | 04 | 05 | 06 | 07 | 08 | 09 | 10 | 11 | 12 |
2017 | 01 | 02 | 03 | 04 | 05 | 06 | 07 | 08 | 09 | 10 | 11 | 12 |